<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Tarifs ========================================================-->
    <!--
    <tif:Tarifs id="TODO">
        <tif:ModesPaiement id="TODO">
            <tif:ModePaiement type="TODO" xml:lang="FR" >TODO</tif:ModePaiement>
            <tif:ModePaiement type="TODO" xml:lang="FR" >TODO</tif:ModePaiement>
            <tif:ObservationModePaiement xml:lang="FR">ObservationModePaiement</tif:ObservationModePaiement>
        </tif:ModesPaiement>
        <tif:TarifsMultimedia>
            <tif:DetailTarifMultimedia id="TODO" idref="" devise="TODO" libelle="TODO" xml:lang="FR" >
                <tif:DetailMultimedia type="TODO" idref="TODO"/>
            </tif:DetailTarifMultimedia>
            <tif:DetailTarifMultimedia id="TODO" idref="" devise="TODO" libelle="TODO" xml:lang="FR" >
                <tif:DetailMultimedia type="TODO" idref="TODO"/>
            </tif:DetailTarifMultimedia>
        </tif:TarifsMultimedia>
        <tif:DetailTarifs id="TODO">
            <tif:DetailTarif id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:TarifRef>O</tif:TarifRef>
                <tif:TarifStandard>111</tif:TarifStandard>
                <tif:TarifMin>111</tif:TarifMin>
                <tif:TarifMax>111</tif:TarifMax>
                <tif:TarifMode type="TODO" xml:lang="FR" >TarifMode</tif:TarifMode>
                <tif:TarifDevise type="TODO" xml:lang="FR">TarifDevise</tif:TarifDevise>
                <tif:TarifTVA taux="19.6">111.11</tif:TarifTVA>
                <tif:TarifTranche>111.11</tif:TarifTranche>
                <tif:DetailClient type="TODO" idref="TODO"/>
                <tif:DetailPrestation idref="TODO"/>
                <tif:DetailPeriode idref="TODO"  type="TODO"/>
                <tif:MontantPourcent type="TODO" xml:lang="FR">111.11</tif:MontantPourcent>
                <tif:DescriptionTarif xml:lang="FR">DescriptionTarif</tif:DescriptionTarif>
            </tif:DetailTarif>
            <tif:DetailTarif id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:TarifRef>O</tif:TarifRef>
                <tif:TarifStandard>111</tif:TarifStandard>
                <tif:TarifMin>111</tif:TarifMin>
                <tif:TarifMax>111</tif:TarifMax>
                <tif:TarifMode type="TODO" xml:lang="FR" >TarifMode</tif:TarifMode>
                <tif:TarifDevise type="TODO" xml:lang="FR">TarifDevise</tif:TarifDevise>
                <tif:TarifTVA taux="19.6">111.11</tif:TarifTVA>
                <tif:TarifTranche>111.11</tif:TarifTranche>
                <tif:DetailClient type="TODO" idref="TODO"/>
                <tif:DetailPrestation idref="TODO"/>
                <tif:DetailPeriode type="TODO" idref="TODO"/>
                <tif:MontantPourcent type="TODO" xml:lang="FR">111.11</tif:MontantPourcent>
                <tif:DescriptionTarif xml:lang="FR">DescriptionTarif</tif:DescriptionTarif>
            </tif:DetailTarif>
        </tif:DetailTarifs>
    </tif:Tarifs>     
    -->
    <xsl:template name="Mod_Tarifs">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Tarifs>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Tarifs_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Tarifs_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Tarifs_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Tarifs_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Tarifs_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Tarifs_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Tarifs_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Tarifs_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Tarifs_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Tarifs_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Tarifs_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Tarifs_VIL"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:Tarifs>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HOT -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_HOT">
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:HOT/tif22:Hot5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hot5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_hot',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Hot5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Hot5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hot5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Hot5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Hot5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Hot5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hot5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Hot5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HPA -->
    <!-- ============== -->
    <xsl:template name="Mod_Tarifs_HPA">
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hot5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:HPA/tif22:Hpa5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hpa5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_hpa',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Hpa5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Hot5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hpa5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Hot5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Hpa5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Hpa5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hpa5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Hpa5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HLO -->
    <!-- ============== -->
    <xsl:template name="Mod_Tarifs_HLO">
        <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hot5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:HLO/tif22:Hpa5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hlo5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_hlo',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Hlo5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Hlo5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hlo5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Hlo5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Hlo5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Hlo5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Hlo5_tarif.COMPLEMENT_TARIFS) != '' or normalize-space(tif22:Hlo5_tarif.CHARGES_TARIFS) != '' ">
                            <tif:DescriptionTarif>
                                <xsl:if test="normalize-space(tif22:Hlo5_tarif.COMPLEMENT_TARIFS) != '' ">
                                    <xsl:value-of select="normalize-space(tif22:Hlo5_tarif.COMPLEMENT_TARIFS)"/>
                                </xsl:if>
                                <xsl:if test="normalize-space(tif22:Hlo5_tarif.CHARGES_TARIFS) = 'Y' ">Charges comprises.</xsl:if>
                                <xsl:if test="normalize-space(tif22:Hlo5_tarif.CHARGES_TARIFS) = 'N' ">Charges non comprises.</xsl:if>
                            </tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : RES -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_RES">
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Hot5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:RES/tif22:Res5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Res5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_res',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Res5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Res5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Res5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Res5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Res5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Res5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Res5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Res5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : FMA -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_FMA">
        <xsl:if test="count(/tif22:OI22/tif22:FMA/tif22:Fma5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:FMA/tif22:Fma5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:FMA/tif22:Fma5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Fma5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_fma',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Fma5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Fma5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Fma5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Fma5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Fma5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Fma5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Fma5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Fma5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PNA -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_PNA">
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:PNA/tif22:Pna5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Pna5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_pna',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Pna5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Pna5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Pna5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Pna5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Pna5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Pna5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Pna5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Pna5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PCU -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_PCU">
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:PCU/tif22:Pcu5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Pcu5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_pcu',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Pcu5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Pcu5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Pcu5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Pcu5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Pcu5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Pcu5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Pcu5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Pcu5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : DEG -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_DEG">
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:DEG/tif22:Deg5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Deg5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_deg',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Deg5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Deg5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Deg5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Deg5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Deg5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Deg5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Deg5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Deg5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ITARPERS) != '' ">
            <tif:DetailTarifs>
                    <tif:DetailTarif>
                        <xsl:attribute name="type">13.04.01.74</xsl:attribute> <!-- Dégustation -->
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('13.04.01.74')"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Deg.ITARPERS)"/></tif:TarifMax>
                        <tif:TarifMode>
                            <xsl:attribute name="type">13.03.03</xsl:attribute> <!-- Par personne -->
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('13.03.03')"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:TarifMode>
                        <tif:DetailPrestation idref="" />
                        <tif:DescriptionTarif>Visite individuelle</tif:DescriptionTarif>
                    </tif:DetailTarif>
            </tif:DetailTarifs>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GTARPERS) != '' ">
            <tif:DetailTarifs>
                    <tif:DetailTarif>
                        <xsl:attribute name="type">13.04.01.74</xsl:attribute> <!-- Dégustation -->
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('13.04.01.74')"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Deg.GTARPERS)"/></tif:TarifMax>
                        <tif:TarifMode>
                            <xsl:attribute name="type">13.03.03</xsl:attribute> <!-- Par personne -->
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('13.03.03')"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:TarifMode>
                        <tif:DetailPrestation idref="" />
                        <tif:DescriptionTarif>Visite groupe</tif:DescriptionTarif>
                    </tif:DetailTarif>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_LOI">
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:LOI/tif22:Loi5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Loi5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_loi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Loi5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Loi5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Loi5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Loi5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Loi5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Loi5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Loi5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Loi5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ASC -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_ASC">
        <xsl:if test="count(/tif22:OI22/tif22:ASC/tif22:Asc5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:ASC/tif22:Asc5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:ASC/tif22:Asc5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Asc5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_asc',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Asc5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Asc5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Asc5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Asc5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Asc5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Asc5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Asc5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Asc5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_ITI">
        <xsl:if test="count(/tif22:OI22/tif22:ITI/tif22:Iti5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:ITI/tif22:Iti5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:ITI/tif22:Iti5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Iti5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_iti',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Iti5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Iti5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Iti5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Iti5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Iti5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Iti5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Iti5_tarif.COMPLEMENT_TARIFS) != '' ">
                            <tif:DescriptionTarif><xsl:value-of select="normalize-space(tif22:Iti5_tarif.COMPLEMENT_TARIFS)"/></tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_Tarifs_VIL">
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil5_mode.ID_MODEPAIEM) &gt; 0 ">
            <tif:ModesPaiement>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil5_mode.ID_MODEPAIEM">
                    <xsl:if test="normalize-space(.)!='' ">
                        <tif:ModePaiement>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ModePaiem',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:ModePaiement>
                    </xsl:if>
                </xsl:for-each>
            </tif:ModesPaiement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil5_tarif) &gt; 0 ">
            <tif:DetailTarifs>
                <xsl:for-each select=" /tif22:OI22/tif22:VIL/tif22:Vil5_tarif ">
                    <tif:DetailTarif>
                        <xsl:variable name="code22" select="normalize-space(tif22:Vil5_tarif.ID_TARIFS)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Tarifs_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:if test="normalize-space(tif22:Vil5_tarif.MINI_EURO_TARIFS) != '' ">
                            <tif:TarifMin><xsl:value-of select="normalize-space(tif22:Vil5_tarif.MINI_EURO_TARIFS)"/></tif:TarifMin>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Vil5_tarif.MAXI_EURO_TARIFS) != '' ">
                            <tif:TarifMax><xsl:value-of select="normalize-space(tif22:Vil5_tarif.MAXI_EURO_TARIFS)"/></tif:TarifMax>
                        </xsl:if>
                        <xsl:if test=" normalize-space(tif22:Vil5_tarif.AGE_MAXI_TARIFS) != ''  ">
                            <tif:DetailClienteles>
                                <xsl:attribute name="type">10.01.01</xsl:attribute> <!-- Individuel -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.01')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                    <tif:DetailClient>
                                        <xsl:attribute name="type">10.02.11</xsl:attribute> <!-- Enfants -->
                                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.02.11')"/></xsl:attribute>
                                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                            <tif:AgeMax>
                                                <xsl:value-of select="tif22:Vil5_tarif.AGE_MAXI_TARIFS"/>
                                            </tif:AgeMax>
                                    </tif:DetailClient>
                            </tif:DetailClienteles>
                        </xsl:if>
                        <xsl:if test="normalize-space(tif22:Vil5_tarif.COMPLEMENT_TARIFS) != '' or normalize-space(tif22:Vil5_tarif.BONIFIES_TARIFS) != '' ">
                            <tif:DescriptionTarif>
                                <xsl:if test="normalize-space(tif22:Vil5_tarif.COMPLEMENT_TARIFS) != '' ">
                                    <xsl:value-of select="normalize-space(tif22:Vil5_tarif.COMPLEMENT_TARIFS)"/>
                                </xsl:if>
                                <xsl:if test="normalize-space(tif22:Vil5_tarif.BONIFIES_TARIFS) = 'Y' ">Tarifs bonifiés.</xsl:if>
                                <xsl:if test="normalize-space(tif22:Vil5_tarif.BONIFIES_TARIFS) = 'N' ">Tarifs non bonifiés.</xsl:if>
                            </tif:DescriptionTarif>
                        </xsl:if>
                    </tif:DetailTarif>
                </xsl:for-each>
            </tif:DetailTarifs>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
