<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Contacts ========================================================
    <tif:Contacts id="TODO">
        <tif:DetailContact id="TODO"  type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:RaisonSociale>RaisonSociale</tif:RaisonSociale>
            <tif:Sigle>Sigle</tif:Sigle>
            <tif:Adresses id="TODO">
                <tif:DetailAdresse id="TODO">
                    <tif:Adr1>Adr1</tif:Adr1>
                    <tif:Adr2>Adr2</tif:Adr2>
                    <tif:Adr3>Adr3</tif:Adr3>
                    <tif:CodePostal>CodePostal</tif:CodePostal>
                    <tif:Commune code="00000">Commune</tif:Commune>
                    <tif:BureauDistrib>BureauDistrib</tif:BureauDistrib>
                    <tif:Cedex>Cedex</tif:Cedex>
                    <tif:ProvinceEtat>ProvinceEtat</tif:ProvinceEtat>
                    <tif:Pays code="FR" xml:lang="FR" >France</tif:Pays>
                    <tif:DetailGeolocalisation idref="TODO" type="TODO"/>
                    <tif:Personnes id="TODO">
                        <tif:DetailPersonne id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                            <tif:Civilite type="TODO" xml:lang="FR" >Civilite</tif:Civilite>
                            <tif:Prenom>Prenom</tif:Prenom>
                            <tif:Nom>Nom</tif:Nom>
                            <tif:Fonction xml:lang="FR">Fonction</tif:Fonction>
                            <tif:Service xml:lang="FR">Service</tif:Service>
                            <tif:MoyensCommunications id="TODO">
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                            </tif:MoyensCommunications>
                        </tif:DetailPersonne>
                        <tif:DetailPersonne id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                            <tif:Civilite type="TODO" xml:lang="FR" >Civilite</tif:Civilite>
                            <tif:Prenom>Prenom</tif:Prenom>
                            <tif:Nom>Nom</tif:Nom>
                            <tif:Fonction xml:lang="FR">Fonction</tif:Fonction>
                            <tif:Service xml:lang="FR">Service</tif:Service>
                            <tif:MoyensCommunications id="TODO">
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                            </tif:MoyensCommunications>
                        </tif:DetailPersonne>
                     </tif:Personnes> 
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
       
        <tif:DetailContact id="TODO"  type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:RaisonSociale>RaisonSociale</tif:RaisonSociale>
            <tif:Sigle>Sigle</tif:Sigle>
            <tif:Adresses id="TODO">
                <tif:DetailAdresse id="TODO">
                    <tif:Adr1>Adr1</tif:Adr1>
                    <tif:Adr2>Adr2</tif:Adr2>
                    <tif:Adr3>Adr3</tif:Adr3>
                    <tif:CodePostal>CodePostal</tif:CodePostal>
                    <tif:Commune code="00000">Commune</tif:Commune>
                    <tif:BureauDistrib>BureauDistrib</tif:BureauDistrib>
                    <tif:Cedex>Cedex</tif:Cedex>
                    <tif:ProvinceEtat>ProvinceEtat</tif:ProvinceEtat>
                    <tif:Pays code="FR" xml:lang="FR" >France</tif:Pays>
                    <tif:DetailGeolocalisation idref="TODO" type="TODO"/>
                    <tif:Personnes id="TODO">
                        <tif:DetailPersonne id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                            <tif:Civilite type="TODO" xml:lang="FR" >Civilite</tif:Civilite>
                            <tif:Prenom>Prenom</tif:Prenom>
                            <tif:Nom>Nom</tif:Nom>
                            <tif:Fonction xml:lang="FR">Fonction</tif:Fonction>
                            <tif:Service xml:lang="FR">Service</tif:Service>
                            <tif:MoyensCommunications id="TODO">
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                            </tif:MoyensCommunications>
                        </tif:DetailPersonne>
                        <tif:DetailPersonne id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                            <tif:Civilite type="TODO" xml:lang="FR" >Civilite</tif:Civilite>
                            <tif:Prenom>Prenom</tif:Prenom>
                            <tif:Nom>Nom</tif:Nom>
                            <tif:Fonction xml:lang="FR">Fonction</tif:Fonction>
                            <tif:Service xml:lang="FR">Service</tif:Service>
                            <tif:MoyensCommunications id="TODO">
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                                <tif:DetailMoyenCom id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:Coord xml:lang="FR">Coord</tif:Coord>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                    <tif:ObservationDetailMoyenCom xml:lang="FR">ObservationDetailMoyenCom</tif:ObservationDetailMoyenCom>
                                </tif:DetailMoyenCom>
                            </tif:MoyensCommunications>
                        </tif:DetailPersonne>
                     </tif:Personnes> 
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </tif:Contacts>          
    -->
    <!-- ==================================================================== -->
    <xsl:variable name="v_objettour">
        <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
    </xsl:variable>
    <!-- ==================================================================== -->
    <xsl:template name="Mod_Contacts">
        <!-- -->
        <tif:Contacts>
            <!-- -->
            <xsl:call-template name="Mod_Contacts_Common"/>
            <!-- -->
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Contacts_Resa_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Contacts_Resa_HPA"/>
                    <xsl:call-template name="Mod_Contacts_Proprio_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Contacts_Resa_HLO"/>
                    <xsl:call-template name="Mod_Contacts_Proprio_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Contacts_Resa_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Contacts_Resa_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Contacts_Resa_PNA"/>
                    <xsl:call-template name="Mod_Contacts_Proprio_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Contacts_Resa_PCU"/>
                    <xsl:call-template name="Mod_Contacts_Proprio_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Contacts_Resa_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Contacts_Resa_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Contacts_Resa_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Contacts_Resa_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Contacts_Resa_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Contacts_Resa_ORG"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:Contacts>
        <!-- -->
    </xsl:template>
    <!-- ====================================================================== -->
    <!-- Bordereaux : tous (HOT HPA HLO RES FMA PNA PCU DEG LOI ASC ITI VIL ORG MUL )       -->
    <!-- DetailContact pour l'adresse principale avec Moyens de communication et qui contacter ?  -->
    <!-- ====================================================================== -->
    <xsl:template name="Mod_Contacts_Common">
        <xsl:comment>===</xsl:comment>
        <tif:DetailContact>
            <xsl:if test="$v_objettour='HOT' or $v_objettour='RES' ">
                <xsl:attribute name="type">04.03.14</xsl:attribute> <!-- Etablissement -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.14')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </xsl:if>
            <xsl:if test="$v_objettour='HLO' or $v_objettour='HPA' or $v_objettour='PNA' or $v_objettour='PCU' or $v_objettour='DEG' or $v_objettour='ASC' or $v_objettour='VIL' or $v_objettour='LOI' or $v_objettour='ORG' ">
                <xsl:attribute name="type">04.03.13</xsl:attribute> <!-- Etab/Lieu/Structure -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.13')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </xsl:if>
            <xsl:if test="$v_objettour='FMA' ">
                <xsl:attribute name="type">04.03.25</xsl:attribute> <!-- Organisateur -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.25')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </xsl:if>
            <xsl:if test="$v_objettour='ITI' ">
                <xsl:attribute name="type">04.03.17</xsl:attribute> <!-- Gestionnaire -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.17')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:SOCIETE)!='' ">
                <tif:RaisonSociale><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:SOCIETE"/></tif:RaisonSociale>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:SIGLE)!='' ">
                <tif:Sigle><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:SIGLE"/></tif:Sigle>
            </xsl:if>
            <!-- ============= -->
            <tif:Adresses>
                <!-- =============  -->
                <tif:DetailAdresse>
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ADRESSE1)!='' ">
                        <tif:Adr1><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ADRESSE1"/></tif:Adr1>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ADRESSE2)!='' ">
                        <tif:Adr2><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ADRESSE2"/></tif:Adr2>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ADRESSE3)!='' ">
                        <tif:Adr3><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ADRESSE3"/> </tif:Adr3>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:CODEPOSTAL)!='' ">
                        <tif:CodePostal><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:CODEPOSTAL"/></tif:CodePostal>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:COMMUNE)!='' or normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_COMMUNE) != '' ">
                        <tif:Commune>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_COMMUNE) != '' ">
                                <xsl:attribute name="tif:code"><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_COMMUNE"/></xsl:attribute>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:COMMUNE)!=''">
                                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:COMMUNE"/>
                            </xsl:if>
                        </tif:Commune>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:CEDEX)!='' ">
                        <tif:Cedex><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:CEDEX"/></tif:Cedex>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:PROVINCE)!='' ">
                        <tif:ProvinceEtat><xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:PROVINCE"/></tif:ProvinceEtat>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_PAYS)!='' ">
                        <tif:Pays>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_PAYS)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                            <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Pays>
                    </xsl:if>
                    <!-- ============= Personnes -->
                    <tif:Personnes>
                        <!-- ============= Moyens de communication -->
                        <xsl:choose>
                            <xsl:when test="$v_objettour='HOT' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_HOT"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='HPA' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_HPA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='HLO' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_HLO"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='RES' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_RES"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='FMA' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_FMA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='PNA' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_PNA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='PCU' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_PCU"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='DEG' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_DEG"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='LOI' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_LOI"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ASC' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_ASC"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ITI' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_ITI"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='VIL' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_VIL"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ORG' ">
                                <xsl:call-template name="Mod_Contacts_MoyensCom_ORG"/>
                            </xsl:when>
                        </xsl:choose>
                        <!-- ============= Qui contacter ? -->
                        <xsl:choose>
                            <xsl:when test="$v_objettour='HOT' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_HOT"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='HPA' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_HPA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='HLO' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_HLO"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='RES' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_RES"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='FMA' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_FMA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='PNA' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_PNA"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='PCU' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_PCU"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='DEG' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_DEG"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='LOI' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_LOI"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ASC' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_ASC"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ITI' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_ITI"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='VIL' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_VIL"/>
                            </xsl:when>
                            <xsl:when test="$v_objettour='ORG' ">
                                <xsl:call-template name="Mod_Contacts_QuiContacter_ORG"/>
                            </xsl:when>
                        </xsl:choose>
                    </tif:Personnes>
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : HOT -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_HOT">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hot1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Hot1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Hot1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hot1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_HOT">
        <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Hot1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <xsl:if test="normalize-space(tif22:Hot1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hot1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hot1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Hot1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hot1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Hot1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hot1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Hot1_cont.FONCTION_CONT"/> </tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_HOT">
        <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot3_resa/tif22:Hot3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Hot3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Hot3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Hot3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hot3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : HPA -->
    <!-- ==================================================================== -->
    <xsl:template name="Mod_Contacts_Proprio_HPA">
        <!-- Adresse du proprietaire -->
        <xsl:comment>===</xsl:comment>
        <tif:DetailContact>
             <xsl:attribute name="type">04.03.30</xsl:attribute> <!-- Propriétaire -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.30')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_SOCIETE)!='' ">
                <tif:RaisonSociale>
                    <xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_SOCIETE"/>
                </tif:RaisonSociale>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_SIGLE)!='' ">
                <tif:Sigle><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_SIGLE"/></tif:Sigle>
            </xsl:if>
            <!-- ============= -->
            <tif:Adresses>
                <!-- ============= -->
                <tif:DetailAdresse>
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE1)!='' ">
                        <tif:Adr1><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE1"/></tif:Adr1>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE2)!='' ">
                        <tif:Adr2><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE2"/></tif:Adr2>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE3)!='' ">
                        <tif:Adr3><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_ADRESSE3"/></tif:Adr3>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_CODEPOSTAL)!='' ">
                        <tif:CodePostal><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_CODEPOSTAL"/></tif:CodePostal>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_COMMUNE)!='' or normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ID_COMMUNE) != '' ">
                        <tif:Commune>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ID_COMMUNE) != '' ">
                                <xsl:attribute name="tif:code">
                                    <xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_ID_COMMUNE"/>
                                </xsl:attribute>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_COMMUNE)!=''">
                                <xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_COMMUNE"/>
                            </xsl:if>
                        </tif:Commune>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_CEDEX)!='' ">
                        <tif:Cedex><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_CEDEX"/></tif:Cedex>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_PROVINCE)!='' ">
                        <tif:ProvinceEtat><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.P_PROVINCE"/></tif:ProvinceEtat>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ID_PAYS)!='' ">
                        <tif:Pays>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.P_ID_PAYS)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                            <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Pays>
                    </xsl:if>
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </xsl:template>
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_HPA">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="tif22:OI22/tif22:HPA/tif22:Hpa1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hpa1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Hpa1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Hpa1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hpa1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_HPA">
        <xsl:for-each select="tif22:OI22/tif22:HPA/tif22:Hpa1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Hpa1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <xsl:if test="normalize-space(tif22:Hpa1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hpa1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hpa1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Hpa1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hpa1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Hpa1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Hpa1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Hpa1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_HPA">
        <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa3_resa/tif22:Hpa3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Hpa3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Hpa3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Hpa3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hpa3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : HLO -->
    <!-- ==================================================================== -->
    <xsl:template name="Mod_Contacts_Proprio_HLO">
        <!-- Adresse du proprietaire -->
        <xsl:comment>===</xsl:comment>
        <tif:DetailContact>
            <xsl:attribute name="type">04.03.30</xsl:attribute> <!-- Propriétaire -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.30')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_CODE)!='' ">
                <xsl:attribute name="idref"><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_CODE"/></xsl:attribute>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_SOCIETE)!='' ">
                <tif:RaisonSociale><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_SOCIETE"/></tif:RaisonSociale>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_SIGLE)!='' ">
                <tif:Sigle><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_SIGLE"/></tif:Sigle>
            </xsl:if>
            <!-- ============= -->
            <tif:Adresses>
                <tif:DetailAdresse>
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE1)!='' ">
                        <tif:Adr1><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE1"/></tif:Adr1>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE2)!='' ">
                        <tif:Adr2><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE2"/></tif:Adr2>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE3)!='' ">
                        <tif:Adr3><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_ADRESSE3"/></tif:Adr3>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_CODEPOSTAL)!='' ">
                        <tif:CodePostal><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_CODEPOSTAL"/></tif:CodePostal>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_COMMUNE)!='' or normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ID_COMMUNE) != '' ">
                        <tif:Commune>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ID_COMMUNE) != '' ">
                                <xsl:attribute name="tif:code">
                                    <xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_ID_COMMUNE"/>
                                </xsl:attribute>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_COMMUNE)!=''">
                                <xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_COMMUNE"/>
                            </xsl:if>
                        </tif:Commune>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_CEDEX)!='' ">
                        <tif:Cedex><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_CEDEX"/></tif:Cedex>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_PROVINCE)!='' ">
                        <tif:ProvinceEtat><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.P_PROVINCE"/></tif:ProvinceEtat>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ID_PAYS)!='' ">
                        <tif:Pays>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.P_ID_PAYS)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                            <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Pays>
                      </xsl:if>
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </xsl:template>
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_HLO">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="tif22:OI22/tif22:HLO/tif22:Hlo1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Hlo1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Hlo1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Hpa1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hlo1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_HLO">
        <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo1_cont">
            <xsl:comment>===</xsl:comment>
                <tif:DetailPersonne>
                    <xsl:variable name="code22" select="normalize-space(tif22:Hlo1_cont.ID_CONTACT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <!-- -->
                    <xsl:if test="normalize-space(tif22:Hlo1_cont.ID_CIV)!='' ">
                        <tif:Civilite>
                            <xsl:variable name="code22" select="normalize-space(tif22:Hlo1_cont.ID_CIV)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:Civilite>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Hlo1_cont.PRENOM_CONT)!='' ">
                        <tif:Prenom><xsl:value-of select="tif22:Hlo1_cont.PRENOM_CONT"/></tif:Prenom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Hlo1_cont.NOM_CONT)!='' ">
                        <tif:Nom><xsl:value-of select="tif22:Hlo1_cont.NOM_CONT"/></tif:Nom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Hlo1_cont.FONCTION_CONT)!='' ">
                        <tif:Fonction><xsl:value-of select="tif22:Hlo1_cont.FONCTION_CONT"/></tif:Fonction>
                    </xsl:if>
                </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_HLO">
        <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo3_resa/tif22:Hlo3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Hlo3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Hlo3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Hlo3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Hlo3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : RES -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_RES">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Res1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Res1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Res1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Res1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_RES">
        <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_cont">
            <xsl:comment>===</xsl:comment>
                <tif:DetailPersonne>
                    <xsl:variable name="code22" select="normalize-space(tif22:Res1_cont.ID_CONTACT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <!-- -->
                    <xsl:if test="normalize-space(tif22:Res1_cont.ID_CIV)!='' ">
                        <tif:Civilite>
                            <xsl:variable name="code22" select="normalize-space(tif22:Res1_cont.ID_CIV)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:Civilite>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Res1_cont.PRENOM_CONT)!='' ">
                        <tif:Prenom><xsl:value-of select="tif22:Res1_cont.PRENOM_CONT"/></tif:Prenom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Res1_cont.NOM_CONT)!='' ">
                        <tif:Nom><xsl:value-of select="tif22:Res1_cont.NOM_CONT"/></tif:Nom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Res1_cont.FONCTION_CONT)!='' ">
                        <tif:Fonction><xsl:value-of select="tif22:Res1_cont.FONCTION_CONT"/></tif:Fonction>
                    </xsl:if>
                </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_RES">
        <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res3_resa/tif22:Res3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Res3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Res3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Res3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Res3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
         <!-- ============= Nom du chef -->
        <xsl:comment>===</xsl:comment>
        <xsl:comment>nom du chef</xsl:comment>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.NOM_CHEF) != '' ">
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.07</xsl:attribute> <!-- Chef -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.07')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.06</xsl:attribute> <!-- Chef de cuisine -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.06')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:Prenom><xsl:value-of select="normalize-space(substring-before(normalize-space(/tif22:OI22/tif22:RES/tif22:Res.NOM_CHEF) , ' ' ))"/></tif:Prenom>
                                <tif:Nom><xsl:value-of select="normalize-space(substring-after(normalize-space(/tif22:OI22/tif22:RES/tif22:Res.NOM_CHEF) , ' ' ))"/></tif:Nom>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:if>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : FMA -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_FMA">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Fma1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Fma1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Fma1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Fma1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_FMA">
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_cont">
            <xsl:comment>===</xsl:comment>
                <tif:DetailPersonne>
                    <xsl:variable name="code22" select="normalize-space(tif22:Fma1_cont.ID_CONTACT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <!-- -->
                    <xsl:if test="normalize-space(tif22:Fma1_cont.ID_CIV)!='' ">
                        <tif:Civilite>
                            <xsl:variable name="code22" select="normalize-space(tif22:Fma1_cont.ID_CIV)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:Civilite>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Fma1_cont.PRENOM_CONT)!='' ">
                        <tif:Prenom><xsl:value-of select="tif22:Fma1_cont.PRENOM_CONT"/></tif:Prenom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Fma1_cont.NOM_CONT)!='' ">
                        <tif:Nom><xsl:value-of select="tif22:Fma1_cont.NOM_CONT"/></tif:Nom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Fma1_cont.FONCTION_CONT)!='' ">
                        <tif:Fonction><xsl:value-of select="tif22:Fma1_cont.FONCTION_CONT"/></tif:Fonction>
                    </xsl:if>
                </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_FMA">
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma3_resa/tif22:Fma3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Fma3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Fma3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Fma3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Fma3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : PNA -->
    <!-- ==================================================================== -->
    <xsl:template name="Mod_Contacts_Proprio_PNA">
        <!-- Adresse du proprietaire -->
        <xsl:comment>===</xsl:comment>
        <tif:DetailContact>
             <xsl:attribute name="type">04.03.30</xsl:attribute> <!-- Propriétaire -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.30')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_SOCIETE)!='' ">
                <tif:RaisonSociale><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_SOCIETE"/></tif:RaisonSociale>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_SIGLE)!='' ">
                <tif:Sigle><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_SIGLE"/></tif:Sigle>
            </xsl:if>
            <!-- ============= -->
            <tif:Adresses>
                <tif:DetailAdresse>
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE1)!='' ">
                        <tif:Adr1><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE1"/></tif:Adr1>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE2)!='' ">
                        <tif:Adr2><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE2"/></tif:Adr2>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE3)!='' ">
                        <tif:Adr3><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_ADRESSE3"/></tif:Adr3>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_CODEPOSTAL)!='' ">
                        <tif:CodePostal><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_CODEPOSTAL"/></tif:CodePostal>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_COMMUNE)!='' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_COMMUNE) != '' ">
                        <tif:Commune>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ID_COMMUNE) != '' ">
                                <xsl:attribute name="tif:code">
                                    <xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_ID_COMMUNE"/>
                                </xsl:attribute>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Hlo.P_COMMUNE)!=''">
                                <xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Hlo.P_COMMUNE"/>
                            </xsl:if>
                        </tif:Commune>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_CEDEX)!='' ">
                        <tif:Cedex><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_CEDEX"/></tif:Cedex>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_PROVINCE)!='' ">
                        <tif:ProvinceEtat><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.P_PROVINCE"/></tif:ProvinceEtat>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ID_PAYS)!='' ">
                        <tif:Pays>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.P_ID_PAYS)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                            <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Pays>
                    </xsl:if>
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </xsl:template>
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_PNA">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Pna1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Pna1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Pna1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Pna1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_PNA">
        <xsl:for-each select="tif22:OI22/tif22:PNA/tif22:Pna1_cont">
            <xsl:comment>===</xsl:comment>
                <tif:DetailPersonne>
                    <xsl:variable name="code22" select="normalize-space(tif22:Pna1_cont.ID_CONTACT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <!-- -->
                    <xsl:if test="normalize-space(tif22:Pna1_cont.ID_CIV)!='' ">
                        <tif:Civilite>
                            <xsl:variable name="code22" select="normalize-space(tif22:Pna1_cont.ID_CIV)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:Civilite>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pna1_cont.PRENOM_CONT)!='' ">
                        <tif:Prenom><xsl:value-of select="tif22:Pna1_cont.PRENOM_CONT"/></tif:Prenom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pna1_cont.NOM_CONT)!='' ">
                        <tif:Nom><xsl:value-of select="tif22:Pna1_cont.NOM_CONT"/></tif:Nom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pna1_cont.FONCTION_CONT)!='' ">
                        <tif:Fonction><xsl:value-of select="tif22:Pna1_cont.FONCTION_CONT"/></tif:Fonction>
                    </xsl:if>
                </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_PNA">
         <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna3_resa/tif22:Pna3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Pna3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Pna3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Pna3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Pna3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : PCU -->
    <!-- ==================================================================== -->
    <xsl:template name="Mod_Contacts_Proprio_PCU">
        <xsl:comment>===</xsl:comment>
        <!-- Adresse du proprietaire -->
        <tif:DetailContact>
             <xsl:attribute name="type">04.03.30</xsl:attribute> <!-- Propriétaire -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.30')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_SOCIETE)!='' ">
                <tif:RaisonSociale><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_SOCIETE"/></tif:RaisonSociale>
            </xsl:if>
            <!-- ============= -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_SIGLE)!='' ">
                <tif:Sigle><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_SIGLEE"/></tif:Sigle>
            </xsl:if>
            <!-- ============= -->
            <tif:Adresses>
                <tif:DetailAdresse>
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE1)!='' ">
                        <tif:Adr1><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE1"/> </tif:Adr1>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE2)!='' ">
                        <tif:Adr2><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE2"/></tif:Adr2>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE3)!='' ">
                        <tif:Adr3><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_ADRESSE3"/></tif:Adr3>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_CODEPOSTAL)!='' ">
                        <tif:CodePostal><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_CODEPOSTAL"/></tif:CodePostal>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ID_COMMUNE)!='' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_COMMUNE) != '' ">
                        <tif:Commune>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ID_COMMUNE) != '' ">
                                <xsl:attribute name="tif:code">
                                    <xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_ID_COMMUNE"/>
                                </xsl:attribute>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_COMMUNE)!=''">
                                <xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_COMMUNE"/>
                            </xsl:if>
                        </tif:Commune>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_CEDEX)!='' ">
                        <tif:Cedex><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_CEDEX"/></tif:Cedex>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_PROVINCE)!='' ">
                        <tif:ProvinceEtat><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.P_PROVINCE"/></tif:ProvinceEtat>
                    </xsl:if>
                    <!-- ============= -->
                    <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ID_PAYS)!='' ">
                        <tif:Pays>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.P_ID_PAYS)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                            <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Pays>
                    </xsl:if>
                </tif:DetailAdresse>
            </tif:Adresses>
        </tif:DetailContact>
    </xsl:template>
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_PCU">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Pcu1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Pcu1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Pcu1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Pcu1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_PCU">
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_cont">
            <xsl:comment>===</xsl:comment>
                <tif:DetailPersonne>
                    <xsl:variable name="code22" select="normalize-space(tif22:Pcu1_cont.ID_CONTACT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <!-- -->
                    <xsl:if test="normalize-space(tif22:Pcu1_cont.ID_CIV)!='' ">
                        <tif:Civilite>
                            <xsl:variable name="code22" select="normalize-space(tif22:Pcu1_cont.ID_CIV)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        </tif:Civilite>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pcu1_cont.PRENOM_CONT)!='' ">
                        <tif:Prenom><xsl:value-of select="tif22:Pcu1_cont.PRENOM_CONT"/></tif:Prenom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pcu1_cont.NOM_CONT)!='' ">
                        <tif:Nom><xsl:value-of select="tif22:Pcu1_cont.NOM_CONT"/></tif:Nom>
                    </xsl:if>
                    <xsl:if test="normalize-space(tif22:Pcu1_cont.FONCTION_CONT)!='' ">
                        <tif:Fonction><xsl:value-of select="tif22:Pcu1_cont.FONCTION_CONT"/></tif:Fonction>
                    </xsl:if>
                </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_PCU">
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu3_resa/tif22:Pcu3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Pcu3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Pcu3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Pcu3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Pcu3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : DEG -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_DEG">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Deg1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Deg1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Deg1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Deg1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_DEG">
        <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Deg1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <xsl:if test="normalize-space(tif22:Deg1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Deg1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Deg1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Deg1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Deg1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Deg1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Deg1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Deg1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_DEG">
        <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg3_resa/tif22:Deg3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Deg3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Deg3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Deg3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Deg3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : LOI -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_LOI">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Loi1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Loi1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Loi1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Loi1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_LOI">
        <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Loi1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->                
                <xsl:if test="normalize-space(tif22:Loi1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Loi1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Loi1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Loi1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Loi1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Loi1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Loi1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Loi1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_LOI">
        <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi3_resa/tif22:Loi3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Loi3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Loi3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Loi3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Loi3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : ASC -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_ASC">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Asc1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Asc1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Asc1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Asc1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_ASC">
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Asc1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->                
                <xsl:if test="normalize-space(tif22:Asc1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Asc1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Asc1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Asc1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Asc1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Asc1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Asc1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Asc1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_ASC">
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc3_resa/tif22:Asc3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Asc3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Asc3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Asc3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Asc3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : ITI   -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_ITI">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Iti1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Iti1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Iti1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Iti1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_ITI">    
        <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Iti1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->                
                <xsl:if test="normalize-space(tif22:Iti1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Iti1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Iti1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Iti1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Iti1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Iti1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Iti1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Iti1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_ITI">    
        <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti3_resa/tif22:Iti3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Iti3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Iti3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Iti3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Iti3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : VIL -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_VIL">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Vil1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Vil1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Vil1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Vil1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_VIL">
        <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Vil1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->                
                <xsl:if test="normalize-space(tif22:Vil1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Vil1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Vil1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Vil1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Vil1_cont.NOM_CONT)!='' ">
                    <tif:Nom> <xsl:value-of select="tif22:Vil1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Vil1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Vil1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_VIL">
         <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil3_resa/tif22:Vil3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <!-- accès -->
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Vil3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Vil3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Vil3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Vil3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : ORG -->
    <!-- ==================================================================== -->
    <!-- ============= Moyens de communication -->
    <xsl:template name="Mod_Contacts_MoyensCom_ORG">
        <tif:DetailPersonne>
            <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
            <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <tif:MoyensCommunications>
                <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org1_comm">
                    <xsl:comment>===</xsl:comment>
                    <tif:DetailMoyenCom>
                        <xsl:variable name="code22" select="normalize-space(tif22:Org1_comm.ID_TELECOM)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                        <tif:Coord><xsl:value-of select="tif22:Org1_comm.COORD_COM"/></tif:Coord>
                        <xsl:if test="normalize-space(tif22:Org1_comm.COMPLEMENT_COM) != '' ">
                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Org1_comm.COMPLEMENT_COM"/></tif:ObservationDetailMoyenCom>
                        </xsl:if>
                    </tif:DetailMoyenCom>
                </xsl:for-each>
            </tif:MoyensCommunications>
        </tif:DetailPersonne>
    </xsl:template>
    <!-- ============= Qui contacter ? -->
    <xsl:template name="Mod_Contacts_QuiContacter_ORG">
        <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org1_cont">
            <xsl:comment>===</xsl:comment>
            <tif:DetailPersonne>
                <xsl:variable name="code22" select="normalize-space(tif22:Org1_cont.ID_CONTACT)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Contact',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->                
                <xsl:if test="normalize-space(tif22:Org1_cont.ID_CIV)!='' ">
                    <tif:Civilite>
                        <xsl:variable name="code22" select="normalize-space(tif22:Org1_cont.ID_CIV)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Civilite',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:Civilite>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Org1_cont.PRENOM_CONT)!='' ">
                    <tif:Prenom><xsl:value-of select="tif22:Org1_cont.PRENOM_CONT"/></tif:Prenom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Org1_cont.NOM_CONT)!='' ">
                    <tif:Nom><xsl:value-of select="tif22:Org1_cont.NOM_CONT"/></tif:Nom>
                </xsl:if>
                <xsl:if test="normalize-space(tif22:Org1_cont.FONCTION_CONT)!='' ">
                    <tif:Fonction><xsl:value-of select="tif22:Org1_cont.FONCTION_CONT"/></tif:Fonction>
                </xsl:if>
            </tif:DetailPersonne>
        </xsl:for-each>
    </xsl:template>
    <!-- ============= Contacts Réservation -->
    <xsl:template name="Mod_Contacts_Resa_ORG">
        <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org3_resa/tif22:Org3_comm">
            <xsl:comment>===</xsl:comment>
            <tif:DetailContact>
                <xsl:attribute name="type">04.03.33</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.03.33')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Adresses>
                    <tif:DetailAdresse>
                        <tif:Personnes>
                            <tif:DetailPersonne>
                                <xsl:attribute name="type">04.04.05</xsl:attribute> <!-- Moyens de communication -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('04.04.05')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!-- -->
                                <tif:MoyensCommunications>
                                    <tif:DetailMoyenCom>
                                        <xsl:variable name="code22" select="normalize-space(tif22:Org3_comm.ID_TELECOM)"/>
                                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Telecom',$code22)"/></xsl:variable>
                                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                        <!-- -->
                                        <tif:Coord><xsl:value-of select="tif22:Org3_comm.COORD_RESA"/></tif:Coord>
                                        <xsl:if test="normalize-space(tif22:Org3_comm.COMPLEMENT_RESA) != '' ">
                                            <tif:ObservationDetailMoyenCom><xsl:value-of select="tif22:Org3_comm.COMPLEMENT_RESA"/></tif:ObservationDetailMoyenCom>
                                        </xsl:if>
                                    </tif:DetailMoyenCom>
                                </tif:MoyensCommunications>
                            </tif:DetailPersonne>
                        </tif:Personnes>
                    </tif:DetailAdresse>
                </tif:Adresses>
            </tif:DetailContact>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
