<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Offres Prestations ========================================================-->
    <!--
    <tif:OffresPrestations id="TODO">
        <tif:DetailOffrePrestation id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:DetailPrestation id="TODO" >
                <tif:Prestation type="TODO" xml:lang="FR" >Prestation</tif:Prestation>
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:DureePrest unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:DureePrest>
                <tif:NbPrest unite="TODO">111</tif:NbPrest>
                <tif:Inclus>O</tif:Inclus>
                <tif:Payant>O</tif:Payant>
                <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
                <tif:Commune code="TODO">Commune</tif:Commune>
                <tif:ModesReservations idref="TODO"/>
                <tif:DetailCapacitePrestation type="TODO" idref="TODO"/>
                <tif:DetailCapaciteUnite type="TODO" idref="TODO"/>
                <tif:DescriptionPrestation xml:lang="FR">DescriptionPrestation</tif:DescriptionPrestation>
            </tif:DetailPrestation>
            <tif:DetailPrestation id="TODO" >
                <tif:Prestation type="TODO" xml:lang="FR" >Prestation</tif:Prestation>
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:DureePrest unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:DureePrest>
                <tif:NbPrest unite="TODO">111</tif:NbPrest>
                <tif:Inclus>O</tif:Inclus>
                <tif:Payant>O</tif:Payant>
                <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
                <tif:Commune code="TODO">Commune</tif:Commune>
                <tif:ModesReservations idref="TODO"/>
                <tif:DetailCapacitePrestation type="TODO" idref="TODO"/>
                <tif:DetailCapaciteUnite type="TODO" idref="TODO"/>
                <tif:DescriptionPrestation xml:lang="FR">DescriptionPrestation</tif:DescriptionPrestation>
            </tif:DetailPrestation>
        </tif:DetailOffrePrestation>
        <tif:DetailOffrePrestation type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:DetailPrestation id="TODO" >
                <tif:Prestation type="TODO" xml:lang="FR" >Prestation</tif:Prestation>
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:DureePrest unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:DureePrest>
                <tif:NbPrest unite="TODO">111</tif:NbPrest>
                <tif:Inclus>O</tif:Inclus>
                <tif:Payant>O</tif:Payant>
                <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
                <tif:Commune code="TODO">Commune</tif:Commune>
                <tif:ModesReservations idref="TODO"/>
                <tif:DetailCapacitePrestation type="TODO" idref="TODO"/>
                <tif:DetailCapaciteUnite type="TODO" idref="TODO"/>
                <tif:DescriptionPrestation xml:lang="FR">DescriptionPrestation</tif:DescriptionPrestation>
            </tif:DetailPrestation>
            <tif:DetailPrestation id="TODO" >
                <tif:Prestation type="TODO" xml:lang="FR" >Prestation</tif:Prestation>
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:DureePrest unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:DureePrest>
                <tif:NbPrest unite="TODO">111</tif:NbPrest>
                <tif:Inclus>O</tif:Inclus>
                <tif:Payant>O</tif:Payant>
                <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
                <tif:Commune code="TODO">Commune</tif:Commune>
                <tif:ModesReservations idref="TODO"/>
                <tif:DetailCapacitePrestation type="TODO" idref="TODO"/>
                <tif:DetailCapaciteUnite type="TODO" idref="TODO"/>
                <tif:DescriptionPrestation xml:lang="FR">DescriptionPrestation</tif:DescriptionPrestation>
            </tif:DetailPrestation>
        </tif:DetailOffrePrestation>
    </tif:OffresPrestations>     
    -->
    <xsl:template name="Mod_Offres_Prestations">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:OffresPrestations>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Offres_Prestations_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Offres_Prestations_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Offres_Prestations_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Offres_Prestations_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Offres_Prestations_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Offres_Prestations_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Offres_Prestations_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Offres_Prestations_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Offres_Prestations_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Offres_Prestations_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Offres_Prestations_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Offres_Prestations_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Offres_Prestations_ORG"/>
                </xsl:when>
            </xsl:choose>
        </tif:OffresPrestations>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HOT -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_HOT">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.OUV24) = 'Y' or normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.VEILNUIT) = 'Y' or normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                 <!-- Ouverture 24h/24 -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.OUV24) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.98</xsl:attribute> <!-- Ouverture 24/24 -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.98')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Veilleur de nuit -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.VEILNUIT) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.89</xsl:attribute> <!-- Veilleur de nuit -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.89')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Animaux acceptés -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ANIMAUX) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>                
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="  count(/tif22:OI22/tif22:HOT/tif22:Hot6_conf.ID_CONF_HOT) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.03</xsl:attribute> <!-- Confort -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot6_conf.ID_CONF_HOT">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Conf_hot',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HOT/tif22:Hot7_equip.ID_EQUIP_HOT) &gt; 0         ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot7_equip.ID_EQUIP_HOT">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_hot',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HOT/tif22:Hot7_serv.ID_SERV_HOT) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot7_serv.ID_SERV_HOT">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_hot',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HOT/tif22:Hot7_activ.ID_ACTIV_HOT) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot7_activ.ID_ACTIV_HOT">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_hot',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HPA -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_HPA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.OUV24) = 'Y' or normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                 <!-- Ouverture 24h/24 -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.OUV24) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.98</xsl:attribute> <!-- Ouverture 24/24 -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.98')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Animaux acceptés -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ANIMAUX) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>                
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.CARAVANEIG) = 'Y'  or normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.OMBRE) = 'Y'  or normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.SEMIOMB) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.CARAVANEIG) = 'Y' ">
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.26</xsl:attribute> <!-- Caravaneige -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.26')"/>
                    </tif:Prestation>
                </xsl:if>
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.OMBRE) = 'Y' ">
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.122</xsl:attribute> <!-- Terrain ombragé -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.122')"/>
                    </tif:Prestation>
                </xsl:if>
                <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.SEMIOMB) = 'Y'  ">
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.132</xsl:attribute> <!-- Terrain semi-ombragé -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.132')"/>
                    </tif:Prestation>
                </xsl:if>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.NATURISME) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.02.72</xsl:attribute> <!-- Naturisme -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.132')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HPA/tif22:Hpa7_equip.ID_EQUIP_CAM) &gt;0 ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa7_equip.ID_EQUIP_CAM">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa7_serv.ID_SERV_CAM) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa7_serv.ID_SERV_CAM">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HPA/tif22:Hpa7_activ.ID_ACTIV_CAM) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa7_activ.ID_ACTIV_CAM">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HLO -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_HLO">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="  count(/tif22:OI22/tif22:HLO/tif22:Hlo6_conf.ID_CONF_HBL) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.03</xsl:attribute> <!-- Confort -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo6_conf.ID_CONF_HBL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Conf_hlo',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HLO/tif22:Hlo7_equip.ID_EQUIP_HBL) &gt; 0         ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo7_equip.ID_EQUIP_HBL ">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_hlo',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HLO/tif22:Hlo7_serv.ID_SERV_HBL) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo7_serv.ID_SERV_HBL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_hlo',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:HLO/tif22:Hlo7_activ.ID_ACTIV_HBL) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo7_activ.ID_ACTIV_HBL ">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_hlo',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : RES -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_RES">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:RES/tif22:Res7_equip.ID_EQUIP_RES) &gt; 0">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res7_equip.ID_EQUIP_RES">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_res',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:RES/tif22:Res7_serv.ID_SERV_RES) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res7_serv.ID_SERV_RES">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_res',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:RES/tif22:Res7_activ.ID_ACTIV_RES) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res7_activ.ID_ACTIV_RES">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_res',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:RES/tif22:Res7_activ.DESCANIM) != ''   ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:DescriptionPrestation>
                        <xsl:value-of select="normalize-space(/tif22:OI22/tif22:RES/tif22:Res7_activ.DESCANIM)"/>
                    </tif:DescriptionPrestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : FMA -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_FMA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PNA -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_PNA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_PER) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_DEM) = 'Y' or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_PER) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_DEM) = 'Y' or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_PEDAGO) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_DUREE) != '' or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_PER) = 'Y'   or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_DEM) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_PER) = 'Y'  or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_DEM) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_PEDAGO) = 'Y'  or 
                              normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE) != '' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Visites individuelles -->
                <!-- Visites individuelles libres -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_PER) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_DEM) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.99</xsl:attribute> <!-- Visites individuelles libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_PER) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVL_DEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites individuelles guidées -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_PER) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_DEM) = 'Y' or 
                                      normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_PEDAGO) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_DUREE) != '' or 
                                      normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_SENT) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.100</xsl:attribute> <!-- Visites individuelles guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_DUREE) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_DUREE)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_PER) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IVG_DEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_PEDAGO) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.103</xsl:attribute> <!-- Visites pédagogiques -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.103')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes -->
                <!-- Visites groupes libres -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_PER) = 'Y'   or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_DEM) = 'Y'  
                    or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE) != ''">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.101</xsl:attribute> <!-- Visites groupes libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_PER) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVL_DEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes guidées -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_PER) = 'Y'  or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_DEM) = 'Y' or 
                                      normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_PEDAGO) = 'Y'  or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE) != '' or 
                                      normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_SENT) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.102</xsl:attribute> <!-- Visites groupes guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_DUREE)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_PER) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GVG_DEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                 </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_PEDAGO) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.103</xsl:attribute> <!-- Visites pédagogiques -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.103')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
            </tif:DetailOffrePrestation>
        </xsl:if>
         <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.I_SENT) = 'Y' or normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.G_SENT) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">balisés15.05.111</xsl:attribute> <!-- Sentiers balisés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('balisés15.05.111')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PCU -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_PCU">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLDEM) = 'Y' or 
                              normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGDEM) = 'Y'  or 
                              normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVPEDAGO) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN) != ''  or 
                              normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLDEM) = 'Y'  or  
                              normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGDEM) = 'Y' or 
                              normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVPEDAGO) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN) != ''  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Visites individuelles -->
                <!-- Visites individuelles libres -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLDEM) = 'Y' 
                    or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN) != '' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.99</xsl:attribute> <!-- Visites individuelles libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVLDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites individuelles guidées -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGDEM) = 'Y' or 
                                      normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVPEDAGO) = 'Y' or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pna.I_DUREE) != ''  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.100</xsl:attribute> <!-- Visites individuelles guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVGDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IVPEDAGO) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.103</xsl:attribute> <!-- Visites pédagogiques -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.103')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes -->
                <!-- Visites groupes libres -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLPERM) = 'Y'   or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLDEM) = 'Y' 
                    or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN) != ''">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.101</xsl:attribute> <!-- Visites groupes libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVLDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes guidées -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGPERM) = 'Y'  or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGDEM) = 'Y' or 
                                      normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVPEDAGO) = 'Y'  or normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN) != ''  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.102</xsl:attribute> <!-- Visites groupes guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVGDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                 </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GVPEDAGO) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.103</xsl:attribute> <!-- Visites pédagogiques -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.103')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" count(/tif22:OI22/tif22:PCU/tif22:Pcu7_equip.ID_EQUIP) &gt;0 ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu7_equip.ID_EQUIP">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu7_serv.ID_SERV) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu7_serv.ID_SERV">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:PCU/tif22:Pcu7_activ.ID_ACTIV) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu7_activ.ID_ACTIV">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : DEG -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_DEG">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLDEM) = 'Y'  or 
                              normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGDEM) = 'Y'  or 
                              normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDURMOYEN) != '' or 
                              normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) != ''  or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) != '' or 
                              normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.INBRPROD) != ''  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Visites individuelles -->
                <!-- Visites individuelles libres -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLDEM) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.99</xsl:attribute> <!-- Visites individuelles libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <!--Nombre de produits  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.INBRPROD) != '' ">
                            <xsl:comment>Nombre de produits</xsl:comment>
                            <tif:DetailPrestation>
                                <tif:NbPrest><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.INBRPROD)"/></tif:NbPrest>
                            </tif:DetailPrestation>
                        </xsl:if>
                        <!--Dégustation gratuite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) != '' ">
                            <tif:Inclus>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Inclus>
                        </xsl:if>
                        <!--Dégustation payante  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) != '' ">
                            <tif:Payant>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Payant>
                        </xsl:if>
                         <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVLDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites individuelles guidées -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGDEM) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.100</xsl:attribute> <!-- Visites individuelles guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <!--Nombre de produits  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.INBRPROD) != '' ">
                            <xsl:comment>Nombre de produits</xsl:comment>
                            <tif:DetailPrestation>
                                <tif:NbPrest><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.INBRPROD)"/></tif:NbPrest>
                            </tif:DetailPrestation>
                        </xsl:if>
                        <!--Dégustation gratuite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) != '' ">
                            <tif:Inclus>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEGRAT)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Inclus>
                        </xsl:if>
                        <!--Dégustation payante  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) != '' ">
                            <tif:Payant>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDEEGPAY)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Payant>
                        </xsl:if>
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IVGDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
          </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLDEM) = 'Y'  or 
            normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGDEM) = 'Y'  or 
            normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDURMOYEN) != '' or 
            normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) != ''  or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) != '' or 
            normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GNBRPROD) != ''                  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Visites individuelles -->
                <!-- Visites individuelles libres -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLPERM) = 'Y' or normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLDEM) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.99</xsl:attribute> <!-- Visites individuelles libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <!--Nombre de produits  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GNBRPROD) != '' ">
                            <xsl:comment>Nombre de produits</xsl:comment>
                            <tif:DetailPrestation>
                                <tif:NbPrest><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GNBRPROD)"/></tif:NbPrest>
                            </tif:DetailPrestation>
                        </xsl:if>
                        <!--Dégustation gratuite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) != '' ">
                            <tif:Inclus>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Inclus>
                        </xsl:if>
                        <!--Dégustation payante  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) != '' ">
                            <tif:Payant>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Payant>
                        </xsl:if>
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVLDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites individuelles guidées -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGPERM) = 'Y' or  normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGDEM) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.100</xsl:attribute> <!-- Visites individuelles guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GNBRPROD) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GNBRPROD)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                        <!--Nombre de produits  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDURMOYEN) != '' ">
                            <xsl:comment>Nombre de produits</xsl:comment>
                            <tif:DetailPrestation>
                                <tif:NbPrest><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDURMOYEN)"/></tif:NbPrest>
                            </tif:DetailPrestation>
                        </xsl:if>
                        <!--Dégustation gratuite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) != '' ">
                            <tif:Inclus>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEGRAT)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Inclus>
                        </xsl:if>
                        <!--Dégustation payante  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) != '' ">
                            <tif:Payant>
                                <xsl:choose>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) = 'Y'  "><xsl:text>O</xsl:text></xsl:when>
                                    <xsl:when test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY) = 'N'  "><xsl:text>N</xsl:text></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GDEEGPAY)"/></xsl:otherwise>
                                </xsl:choose>
                            </tif:Payant>
                        </xsl:if>
                        <tif:ModesReservations>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGPERM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.05</xsl:attribute> <!-- En permanence -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.05')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                            <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GVGDEM) = 'Y' ">
                                <tif:DetailModeReservation>
                                    <xsl:attribute name="type">12.01.04</xsl:attribute> <!--  Sur demande -->
                                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('12.01.04')"/></xsl:attribute>
                                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                </tif:DetailModeReservation>
                            </xsl:if>
                        </tif:ModesReservations>
                    </tif:DetailPrestation>
                </xsl:if>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.VENT_PROP) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.104</xsl:attribute> <!-- Vente à la propriété -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.104')"/>
                        <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.VENT_PROP)"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Offres_Prestations_LOI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IVIS_LIB) = 'Y' or  normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IVIS_GUID) = 'Y'  or 
                               normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN) != '' or  normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GVIS_LIB) = 'Y'  or 
                               normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GVIS_GUID) = 'Y' or  normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GDURMOYEN) != ''   ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Visites individuelles -->
                <!-- Visites individuelles libres -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IVIS_LIB) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.99</xsl:attribute> <!-- Visites individuelles libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites individuelles guidées -->
                <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IVIS_GUID) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.100</xsl:attribute> <!-- Visites individuelles guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes -->
                <!-- Visites groupes libres -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GVIS_LIB) = 'Y'  ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.101</xsl:attribute> <!-- Visites groupes libres -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.99')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GDURMOYEN) != '' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Visites groupes guidées -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GVIS_GUID) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.102</xsl:attribute> <!-- Visites groupes guidées -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.100')"/>
                        </tif:Prestation>
                        <!--Durée moyenne visite  -->
                        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GDURMOYEN) = 'Y' ">
                            <tif:DureePrest>
                                <xsl:attribute name="type">01.03.03.02</xsl:attribute> <!-- minute  -->
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.02')"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDURMOYEN)"/>
                            </tif:DureePrest>
                        </xsl:if>                        
                    </tif:DetailPrestation>
                 </xsl:if>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <!-- -->
        <xsl:if test=" count(/tif22:OI22/tif22:LOI/tif22:Loi7_equip.ID_EQUIP) &gt;0 ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi7_equip.ID_EQUIP">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi7_serv.ID_SERV) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi7_serv.ID_SERVV">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_hpa',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ASC -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_ASC">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
   </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI   -->
    <!-- ============= -->
    <xsl:template name="Mod_Offres_Prestations_ITI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.ANIMAUX) = 'Y' ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL  -->
    <!-- ============= -->
    <xsl:template name="Mod_Offres_Prestations_VIL">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.OUV24) = 'Y'  or normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.VEILNUIT) = 'Y'  or normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ANIMAUX) = 'Y'   ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                 <!-- Ouverture 24h/24 -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.OUV24) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.98</xsl:attribute> <!-- Ouverture 24/24 -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.98')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Veilleur de nuit -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.VEILNUIT) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.89</xsl:attribute> <!-- Veilleur de nuit -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.89')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>
                <!-- Animaux acceptés -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ANIMAUX) = 'Y' ">
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.06.05</xsl:attribute> <!-- Animaux acceptés -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.06.05')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
                </xsl:if>                
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.NATURISME) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.02.72</xsl:attribute> <!-- Naturisme -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.132')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test="  count(/tif22:OI22/tif22:VIL/tif22:Vil6_conf.ID_CONF_VIL) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.03</xsl:attribute> <!-- Confort -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil6_conf.ID_CONF_VIL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Conf_vil',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:VIL/tif22:Vil7_equip.ID_EQUIP_VIL) &gt; 0         ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.05</xsl:attribute> <!-- Equipements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil7_equip.ID_EQUIP_VIL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Equip_vil',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:VIL/tif22:Vil7_serv.ID_SERV_VIL) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil7_serv.ID_SERV_VIL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_vil',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:VIL/tif22:Vil7_activ.ID_ACTIV_VIL) &gt; 0     ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.02</xsl:attribute> <!-- Activités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.02')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil7_activ.ID_ACTIV_VIL">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(.)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Activ_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->	
        <xsl:if test=" count(/tif22:OI22/tif22:VIL/tif22:Vil7_anim) &gt; 0 or normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil7_anim/tif22:Vil7_anim.ID_PERIOD_ANIM) != ''   ">
              <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.04</xsl:attribute> <!-- Encadrements -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.04')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil7_anim">
                    <xsl:variable name="v_anim" select="position()"/>
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(./tif22:Vil7_anim.ID_THEM_ANIM) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(./tif22:Vil7_anim.ID_THEM_ANIM)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Encadrement_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                        <xsl:if test="normalize-space(./tif22:Vil7_anim.ID_PERIOD_ANIM) != ''  ">
                            <tif:Prestation>
                            <xsl:variable name="code22" select="normalize-space(./tif22:Vil7_anim.ID_PERIOD_ANIM)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Periode_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ORG -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_ORG">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.MOBILITE) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.01</xsl:attribute> <!-- Accessibilités -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <tif:DetailPrestation>
                        <tif:Prestation>
                            <xsl:attribute name="type">15.01.01</xsl:attribute> <!-- Mobilité réduite -->
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30('15.01.01')"/>
                        </tif:Prestation>
                    </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.AUTOCAR) = 'Y'  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:DetailPrestation>
                    <tif:Prestation>
                        <xsl:attribute name="type">15.05.65</xsl:attribute> <!-- Parking autocar -->
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30('15.05.65')"/>
                    </tif:Prestation>
                </tif:DetailPrestation>
            </tif:DetailOffrePrestation>
        </xsl:if>
        <!--  -->
        <xsl:if test=" count(/tif22:OI22/tif22:ORG/tif22:Org5_serv.ID_SERV_ORG) &gt; 0  ">
            <tif:DetailOffrePrestation>
                <xsl:attribute name="type">15.06</xsl:attribute> <!-- Services -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('15.06')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org5_serv.ID_SERV_ORG">
                    <tif:DetailPrestation>
                        <xsl:if test="normalize-space(.) != ''  ">
                            <tif:Prestation>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Serv_org',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <xsl:value-of select="thes:getLibelle30($code30)"/>
                            </tif:Prestation>
                        </xsl:if>
                    </tif:DetailPrestation>
                </xsl:for-each>
            </tif:DetailOffrePrestation>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : MUL -->
    <!-- ============== -->
    <xsl:template name="Mod_Offres_Prestations_MUL">
    </xsl:template>
</xsl:stylesheet>
